GetPolicy

GET/auth/v1/memberships/{user.org_id}/policies/{policy_id}

Path Parameters

user.org_id*org_id

The user.org_id path parameter.

policy_id*policy_id

The policy_id path parameter.

Response Body

200application/json

Success

type: unknown

{
  "$ref": "#/components/schemas/auth.v1.Policy",
  "$ref-value": {
    "type": "object",
    "properties": {
      "id": {
        "type": "string",
        "title": "id"
      },
      "org_id": {
        "type": "string",
        "title": "org_id"
      },
      "name": {
        "type": "string",
        "title": "name"
      },
      "description": {
        "type": "string",
        "title": "description"
      },
      "permissions": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "title": "permissions"
      },
      "created_by": {
        "type": "string",
        "title": "created_by"
      },
      "created_at": {
        "allOf": [
          {
            "$ref": "#/components/schemas/google.protobuf.Timestamp",
            "$ref-value": {
              "type": "string",
              "examples": [
                "2023-01-15T01:30:15.01Z",
                "2024-12-25T12:00:00Z"
              ],
              "format": "date-time",
              "description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
            }
          }
        ],
        "title": "created_at"
      },
      "updated_at": {
        "allOf": [
          {
            "$ref": "#/components/schemas/google.protobuf.Timestamp",
            "$ref-value": {
              "type": "string",
              "examples": [
                "2023-01-15T01:30:15.01Z",
                "2024-12-25T12:00:00Z"
              ],
              "format": "date-time",
              "description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
            }
          }
        ],
        "title": "updated_at"
      }
    },
    "title": "Policy",
    "additionalProperties": false
  }
}
curl -X GET "https://api.rixl.com/auth/v1/memberships/string/policies/string"

Success

application/json

{
  "$ref": "#/components/schemas/auth.v1.Policy",
  "$ref-value": {
    "type": "object",
    "properties": {
      "id": {
        "type": "string",
        "title": "id"
      },
      "org_id": {
        "type": "string",
        "title": "org_id"
      },
      "name": {
        "type": "string",
        "title": "name"
      },
      "description": {
        "type": "string",
        "title": "description"
      },
      "permissions": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "title": "permissions"
      },
      "created_by": {
        "type": "string",
        "title": "created_by"
      },
      "created_at": {
        "allOf": [
          {
            "$ref": "#/components/schemas/google.protobuf.Timestamp",
            "$ref-value": {
              "type": "string",
              "examples": [
                "2023-01-15T01:30:15.01Z",
                "2024-12-25T12:00:00Z"
              ],
              "format": "date-time",
              "description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
            }
          }
        ],
        "title": "created_at"
      },
      "updated_at": {
        "allOf": [
          {
            "$ref": "#/components/schemas/google.protobuf.Timestamp",
            "$ref-value": {
              "type": "string",
              "examples": [
                "2023-01-15T01:30:15.01Z",
                "2024-12-25T12:00:00Z"
              ],
              "format": "date-time",
              "description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
            }
          }
        ],
        "title": "updated_at"
      }
    },
    "title": "Policy",
    "additionalProperties": false
  }
}